Package org.springframework.core.io.buffer

# Interface DataBufferUtils.Matcher

Enclosing class:
  DataBufferUtils

public static interface DataBufferUtils.Matcher
Contract to find delimiter(s) against one or more data buffers that can be passed one at a time to the `match(DataBuffer)` method.

Since:
  5.2
See Also:
  - `match(DataBuffer)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`delimiter()`
Return the delimiter from the last invocation of `match(DataBuffer)`.
`int`
`match(DataBuffer dataBuffer)`
Find the first matching delimiter and return the index of the last byte of the delimiter, or `-1` if not found.
`void`
`reset()`
Reset the state of this matcher.

## Method Details

### match

int match(DataBuffer dataBuffer)
Find the first matching delimiter and return the index of the last byte of the delimiter, or `-1` if not found.

### delimiter

byte[] delimiter()
Return the delimiter from the last invocation of `match(DataBuffer)`.

### reset

void reset()
Reset the state of this matcher.